/*
 * 30/03/2003
 *
 * FreeSpace.java - Siemens S55/SL55 MIDlet to free some flex-memory space
 * Cecchetti Luca
 * luca@gsm-soft.com
 * http://www.gsm-soft.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import com.siemens.mp.io.*;
import java.io.IOException;

public class FreeSpace extends MIDlet implements CommandListener
{
	Display		display;
	Form		f;
	Command		cmdDel, cmdExit;

	public FreeSpace()
	{
		display = Display.getDisplay(this);
		f = new Form("FreeSpace");
		f.append(new StringItem("", "Free:" + getFreeSpace()));
		
		cmdDel = new Command("Free!", Command.OK, 0);
		cmdExit = new Command("Exit", Command.EXIT, 1);
		f.addCommand(cmdDel);
		f.addCommand(cmdExit);
		f.setCommandListener(this);
		
		display.setCurrent(f);
	}

	protected void destroyApp(boolean b)
	{
//		display.setCurrent(null);
		this.notifyDestroyed();
	}
	
	protected void pauseApp()
	{
	}
	
	protected void startApp() 
	{
	}


	public void commandAction(Command c, Displayable s)
	{
		if( c == cmdExit )
			destroyApp(true);
		else if( c == cmdDel )
		{
			f.removeCommand(cmdDel);

			String t = null;
	
			try
			{
				if( File.exists("A:/cache/graphcach") != 1 )
					t = "/cache/graphcach not found";
				else
				{
					if( File.delete("A:/cache/graphcach") == 1 )
						t = "/cache/graphcach deleted";
					else
						t = "/cache/graphcach not deleted!";
				}
			}
			catch( Exception e )
			{
				t = "Error (" + e.getMessage() + ")";
			}
			f.append(new StringItem("", t));
			f.append(new StringItem("", "Free:" + getFreeSpace()));
		}
	}

	private String getFreeSpace()
	{
		String t = null;
		try
		{
			t = String.valueOf(File.spaceAvailable() / 1024) + " kbyte";
		}
		catch( IOException e )
		{
			t = "???";
		}
		return t;
	}
}
